RubyGems Navigation menu

rubocop 0.39.0

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Versions:

  1. 0.84.0 - May 21, 2020 (377 KB)
  2. 0.83.0 - May 11, 2020 (405 KB)
  3. 0.82.0 - April 16, 2020 (403 KB)
  4. 0.81.0 - April 01, 2020 (400 KB)
  5. 0.80.1 - February 29, 2020 (398 KB)
  6. 0.39.0 - March 27, 2016 (245 KB)
Show all versions (138 total)

Runtime Dependencies (5):

  • parser < 3.0, >= 2.3.0.7
  • powerpack ~> 0.1
  • rainbow < 3.0, >= 1.99.1
  • ruby-progressbar ~> 1.7
  • unicode-display_width >= 1.0.1, ~> 1.0
  • Development Dependencies (1):

  • bundler ~> 1.3
  • Owners:

    Authors:

    • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

    SHA 256 checksum:

    5600c0f7268778520598394cc9ceed69ca3df2a874f2881dfd1d17ba336427bb

    Total downloads 97,706,575

    For this version 1,452,837

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 1.9.3

    Links: